#include <bits\stdc++.h>

using namespace std;

int main() {
	ios_base::sync_with_stdio(false);    
	int n;
    cin >> n;
    
    vector<int> a(n), b(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    for (int i = 0; i < n; i ++){
    	cin >> b[i];
	}

    long long minamax = 0;

    for (int mina = 0; mina < n ; mina++) {
    	int vrednostxor = a[mina];
        int vrednosti = b[mina];
    	
        for (int minna = mina + 1; minna <= n; minna++) {
        
			
        	
    
            vrednosti &= b[minna];
            vrednostxor ^= a[minna];
        
            }

            
            long long podniz = (long long)vrednostxor * vrednosti;
            minamax = max(minamax, podniz);
        }
    

    
    cout << minamax << endl;
    return 0;
}